org.eclnt.jsfserver.elements.componentnodes

## Class ROLLINGCONTAINERAREANode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ROLLINGCONTAINERAREANode

- All Implemented Interfaces:
    java.io.Serializable

      public class ROLLINGCONTAINERAREANode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROLLINGCONTAINERAREANode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROLLINGCONTAINERAREANode` | `bindActionListener(IActionListenerDelegation value)`
    `ROLLINGCONTAINERAREANode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindBackground(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindCascaderenderedfalse(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindClientname(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindColspan(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindComment(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindCutheight(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindCutwidth(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindDragroundtrip(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindDragsend(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindDropshape(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindFlusharea(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindFlushreference(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindFocusable(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindFocusnexthotkey(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindFocusprevioushotkey(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindFocussensitive(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindFocussequence(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindHeight(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindHelpid(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindKeysensitive(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindRendered(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindRequestfocus(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindRequestfocushotkey(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindRounding(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindRowdistance(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindShadow(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindTooltip(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindWidth(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindWithfocusevent(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindX(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `bindY(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERAREANode` | `setActionListener(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setAdapterbinding(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setAnimatechangeofsize(boolean value)`
    `ROLLINGCONTAINERAREANode` | `setAnimatechangeofsize(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setAttributemacro(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setBackground(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setBgpaint(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setCascaderenderedfalse(boolean value)`
    `ROLLINGCONTAINERAREANode` | `setCascaderenderedfalse(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setClientname(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setColspan(int value)`
    `ROLLINGCONTAINERAREANode` | `setColspan(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setComment(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setComponentbinding(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setConfiginfo(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setCutheight(boolean value)`
    `ROLLINGCONTAINERAREANode` | `setCutheight(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setCutwidth(boolean value)`
    `ROLLINGCONTAINERAREANode` | `setCutwidth(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setDragroundtrip(boolean value)`
    `ROLLINGCONTAINERAREANode` | `setDragroundtrip(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setDragsend(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setDroprastertext(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setDropreceive(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setDropshape(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setFlusharea(boolean value)`
    `ROLLINGCONTAINERAREANode` | `setFlusharea(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setFlushreference(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setFocusable(boolean value)`
    `ROLLINGCONTAINERAREANode` | `setFocusable(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setFocusnexthotkey(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setFocusprevioushotkey(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setFocussensitive(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setFocussequence(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setHeight(int value)`
    `ROLLINGCONTAINERAREANode` | `setHeight(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setHelpid(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setId(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setKeysensitive(boolean value)`
    `ROLLINGCONTAINERAREANode` | `setKeysensitive(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setPopupmenu(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setReference(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setRendered(boolean value)`
    `ROLLINGCONTAINERAREANode` | `setRendered(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setRequestfocus(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setRequestfocushotkey(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setRounding(int value)`
    `ROLLINGCONTAINERAREANode` | `setRounding(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setRowalignmenty(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setRowdistance(int value)`
    `ROLLINGCONTAINERAREANode` | `setRowdistance(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setShadow(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setStyleseq(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setStylevariant(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setTooltip(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setWidth(int value)`
    `ROLLINGCONTAINERAREANode` | `setWidth(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setWithfocusevent(boolean value)`
    `ROLLINGCONTAINERAREANode` | `setWithfocusevent(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setX(int value)`
    `ROLLINGCONTAINERAREANode` | `setX(java.lang.String value)`
    `ROLLINGCONTAINERAREANode` | `setY(int value)`
    `ROLLINGCONTAINERAREANode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ROLLINGCONTAINERAREANode

          public ROLLINGCONTAINERAREANode()

  - ### Method Detail

    - #### setId

          public ROLLINGCONTAINERAREANode setId(java.lang.String value)

    - #### setActionListener

          public ROLLINGCONTAINERAREANode setActionListener(java.lang.String value)

    - #### bindActionListener

          public ROLLINGCONTAINERAREANode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public ROLLINGCONTAINERAREANode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public ROLLINGCONTAINERAREANode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public ROLLINGCONTAINERAREANode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public ROLLINGCONTAINERAREANode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public ROLLINGCONTAINERAREANode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public ROLLINGCONTAINERAREANode setAttributemacro(java.lang.String value)

    - #### setBackground

          public ROLLINGCONTAINERAREANode setBackground(java.lang.String value)

    - #### bindBackground

          public ROLLINGCONTAINERAREANode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public ROLLINGCONTAINERAREANode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public ROLLINGCONTAINERAREANode bindBgpaint(IDynamicContentBindingObject value)

    - #### setCascaderenderedfalse

          public ROLLINGCONTAINERAREANode setCascaderenderedfalse(java.lang.String value)

    - #### bindCascaderenderedfalse

          public ROLLINGCONTAINERAREANode bindCascaderenderedfalse(IDynamicContentBindingObject value)

    - #### setCascaderenderedfalse

          public ROLLINGCONTAINERAREANode setCascaderenderedfalse(boolean value)

    - #### setClientname

          public ROLLINGCONTAINERAREANode setClientname(java.lang.String value)

    - #### bindClientname

          public ROLLINGCONTAINERAREANode bindClientname(IDynamicContentBindingObject value)

    - #### setColspan

          public ROLLINGCONTAINERAREANode setColspan(java.lang.String value)

    - #### bindColspan

          public ROLLINGCONTAINERAREANode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public ROLLINGCONTAINERAREANode setColspan(int value)

    - #### setComment

          public ROLLINGCONTAINERAREANode setComment(java.lang.String value)

    - #### bindComment

          public ROLLINGCONTAINERAREANode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public ROLLINGCONTAINERAREANode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public ROLLINGCONTAINERAREANode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ROLLINGCONTAINERAREANode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setCutheight

          public ROLLINGCONTAINERAREANode setCutheight(java.lang.String value)

    - #### bindCutheight

          public ROLLINGCONTAINERAREANode bindCutheight(IDynamicContentBindingObject value)

    - #### setCutheight

          public ROLLINGCONTAINERAREANode setCutheight(boolean value)

    - #### setCutwidth

          public ROLLINGCONTAINERAREANode setCutwidth(java.lang.String value)

    - #### bindCutwidth

          public ROLLINGCONTAINERAREANode bindCutwidth(IDynamicContentBindingObject value)

    - #### setCutwidth

          public ROLLINGCONTAINERAREANode setCutwidth(boolean value)

    - #### setDragroundtrip

          public ROLLINGCONTAINERAREANode setDragroundtrip(java.lang.String value)

    - #### bindDragroundtrip

          public ROLLINGCONTAINERAREANode bindDragroundtrip(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public ROLLINGCONTAINERAREANode setDragroundtrip(boolean value)

    - #### setDragsend

          public ROLLINGCONTAINERAREANode setDragsend(java.lang.String value)

    - #### bindDragsend

          public ROLLINGCONTAINERAREANode bindDragsend(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public ROLLINGCONTAINERAREANode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public ROLLINGCONTAINERAREANode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public ROLLINGCONTAINERAREANode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public ROLLINGCONTAINERAREANode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public ROLLINGCONTAINERAREANode setDropshape(java.lang.String value)

    - #### bindDropshape

          public ROLLINGCONTAINERAREANode bindDropshape(IDynamicContentBindingObject value)

    - #### setFlusharea

          public ROLLINGCONTAINERAREANode setFlusharea(java.lang.String value)

    - #### bindFlusharea

          public ROLLINGCONTAINERAREANode bindFlusharea(IDynamicContentBindingObject value)

    - #### setFlusharea

          public ROLLINGCONTAINERAREANode setFlusharea(boolean value)

    - #### setFlushreference

          public ROLLINGCONTAINERAREANode setFlushreference(java.lang.String value)

    - #### bindFlushreference

          public ROLLINGCONTAINERAREANode bindFlushreference(IDynamicContentBindingObject value)

    - #### setFocusable

          public ROLLINGCONTAINERAREANode setFocusable(java.lang.String value)

    - #### bindFocusable

          public ROLLINGCONTAINERAREANode bindFocusable(IDynamicContentBindingObject value)

    - #### setFocusable

          public ROLLINGCONTAINERAREANode setFocusable(boolean value)

    - #### setFocusnexthotkey

          public ROLLINGCONTAINERAREANode setFocusnexthotkey(java.lang.String value)

    - #### bindFocusnexthotkey

          public ROLLINGCONTAINERAREANode bindFocusnexthotkey(IDynamicContentBindingObject value)

    - #### setFocusprevioushotkey

          public ROLLINGCONTAINERAREANode setFocusprevioushotkey(java.lang.String value)

    - #### bindFocusprevioushotkey

          public ROLLINGCONTAINERAREANode bindFocusprevioushotkey(IDynamicContentBindingObject value)

    - #### setFocussensitive

          public ROLLINGCONTAINERAREANode setFocussensitive(java.lang.String value)

    - #### bindFocussensitive

          public ROLLINGCONTAINERAREANode bindFocussensitive(IDynamicContentBindingObject value)

    - #### setFocussequence

          public ROLLINGCONTAINERAREANode setFocussequence(java.lang.String value)

    - #### bindFocussequence

          public ROLLINGCONTAINERAREANode bindFocussequence(IDynamicContentBindingObject value)

    - #### setHeight

          public ROLLINGCONTAINERAREANode setHeight(java.lang.String value)

    - #### bindHeight

          public ROLLINGCONTAINERAREANode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public ROLLINGCONTAINERAREANode setHeight(int value)

    - #### setHelpid

          public ROLLINGCONTAINERAREANode setHelpid(java.lang.String value)

    - #### bindHelpid

          public ROLLINGCONTAINERAREANode bindHelpid(IDynamicContentBindingObject value)

    - #### setKeysensitive

          public ROLLINGCONTAINERAREANode setKeysensitive(java.lang.String value)

    - #### bindKeysensitive

          public ROLLINGCONTAINERAREANode bindKeysensitive(IDynamicContentBindingObject value)

    - #### setKeysensitive

          public ROLLINGCONTAINERAREANode setKeysensitive(boolean value)

    - #### setPopupmenu

          public ROLLINGCONTAINERAREANode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public ROLLINGCONTAINERAREANode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public ROLLINGCONTAINERAREANode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public ROLLINGCONTAINERAREANode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public ROLLINGCONTAINERAREANode setReference(java.lang.String value)

    - #### setRendered

          public ROLLINGCONTAINERAREANode setRendered(java.lang.String value)

    - #### bindRendered

          public ROLLINGCONTAINERAREANode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ROLLINGCONTAINERAREANode setRendered(boolean value)

    - #### setRequestfocus

          public ROLLINGCONTAINERAREANode setRequestfocus(java.lang.String value)

    - #### bindRequestfocus

          public ROLLINGCONTAINERAREANode bindRequestfocus(IDynamicContentBindingObject value)

    - #### setRequestfocushotkey

          public ROLLINGCONTAINERAREANode setRequestfocushotkey(java.lang.String value)

    - #### bindRequestfocushotkey

          public ROLLINGCONTAINERAREANode bindRequestfocushotkey(IDynamicContentBindingObject value)

    - #### setRounding

          public ROLLINGCONTAINERAREANode setRounding(java.lang.String value)

    - #### bindRounding

          public ROLLINGCONTAINERAREANode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public ROLLINGCONTAINERAREANode setRounding(int value)

    - #### setRowalignmenty

          public ROLLINGCONTAINERAREANode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public ROLLINGCONTAINERAREANode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setRowdistance

          public ROLLINGCONTAINERAREANode setRowdistance(java.lang.String value)

    - #### bindRowdistance

          public ROLLINGCONTAINERAREANode bindRowdistance(IDynamicContentBindingObject value)

    - #### setRowdistance

          public ROLLINGCONTAINERAREANode setRowdistance(int value)

    - #### setShadow

          public ROLLINGCONTAINERAREANode setShadow(java.lang.String value)

    - #### bindShadow

          public ROLLINGCONTAINERAREANode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public ROLLINGCONTAINERAREANode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public ROLLINGCONTAINERAREANode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public ROLLINGCONTAINERAREANode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public ROLLINGCONTAINERAREANode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTooltip

          public ROLLINGCONTAINERAREANode setTooltip(java.lang.String value)

    - #### bindTooltip

          public ROLLINGCONTAINERAREANode bindTooltip(IDynamicContentBindingObject value)

    - #### setWidth

          public ROLLINGCONTAINERAREANode setWidth(java.lang.String value)

    - #### bindWidth

          public ROLLINGCONTAINERAREANode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public ROLLINGCONTAINERAREANode setWidth(int value)

    - #### setWithfocusevent

          public ROLLINGCONTAINERAREANode setWithfocusevent(java.lang.String value)

    - #### bindWithfocusevent

          public ROLLINGCONTAINERAREANode bindWithfocusevent(IDynamicContentBindingObject value)

    - #### setWithfocusevent

          public ROLLINGCONTAINERAREANode setWithfocusevent(boolean value)

    - #### setX

          public ROLLINGCONTAINERAREANode setX(java.lang.String value)

    - #### bindX

          public ROLLINGCONTAINERAREANode bindX(IDynamicContentBindingObject value)

    - #### setX

          public ROLLINGCONTAINERAREANode setX(int value)

    - #### setY

          public ROLLINGCONTAINERAREANode setY(java.lang.String value)

    - #### bindY

          public ROLLINGCONTAINERAREANode bindY(IDynamicContentBindingObject value)

    - #### setY

          public ROLLINGCONTAINERAREANode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.